<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WorkFormulas](./bitburner.workformulas.md) &gt; [universityGains](./bitburner.workformulas.universitygains.md)

## WorkFormulas.universityGains() method

**Signature:**

```typescript
universityGains(
    person: Person,
    classType: UniversityClassType | `${UniversityClassType}`,
    locationName: string,
  ): WorkStats;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  person | [Person](./bitburner.person.md) |  |
|  classType | [UniversityClassType](./bitburner.universityclasstype.md) \| \`${[UniversityClassType](./bitburner.universityclasstype.md)<!-- -->}\` |  |
|  locationName | string |  |

**Returns:**

[WorkStats](./bitburner.workstats.md)

The WorkStats applied every game cycle (200ms) by taking the specified university class.

